<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Auth;

class PurchaseItemTax extends Model
{
    use HasFactory;

    protected $guarded = [];

    protected static function boot()
    {
        parent::boot();

        PurchaseItemTax::creating(function($model) {
            $user = Auth::user();
            if($user!=null){
                $model->organisation_id = $user->active_organisation;
                $model->enteredbyid = $user->id;
            }
        });
    }
}
